boost::geometry::segment_intersection_points< Point, SegmentRatio > Struct Template Reference

return-type for segment-intersection More...

List of all members.

## Public Types

typedef Point | point_type

## Public Member Functions

| segment_intersection_points ()

## Public Attributes

std::size_t | count
fraction_type< SegmentRatio > | fractions [2]
Point | intersections [2]

## Detailed Description

### template<typename Point, typename SegmentRatio>
struct boost::geometry::segment_intersection_points< Point, SegmentRatio >

return-type for segment-intersection

Note:
  Set in intersection_points.hpp, from segment_intersection_info

## Member Typedef Documentation

template<typename Point , typename SegmentRatio >

typedef Point boost::geometry::segment_intersection_points< Point, SegmentRatio >::point_type

## Constructor & Destructor Documentation

template<typename Point , typename SegmentRatio >

boost::geometry::segment_intersection_points< Point, SegmentRatio >::segment_intersection_points | ( |  | ) |

## Member Data Documentation

template<typename Point , typename SegmentRatio >

std::size_t boost::geometry::segment_intersection_points< Point, SegmentRatio >::count

template<typename Point , typename SegmentRatio >

Point boost::geometry::segment_intersection_points< Point, SegmentRatio >::intersections[2]

template<typename Point , typename SegmentRatio >

fraction_type<SegmentRatio> boost::geometry::segment_intersection_points< Point, SegmentRatio >::fractions[2]

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK